#!/bin/bash

# 提示用户输入版本号（不带 v，例如：1.1.4.730）
read -p "请输入版本号（例如：1.1.4.730）: " version

# 检查是否输入为空
if [[ -z "$version" ]]; then
  echo "版本号不能为空！"
  exit 1
fi

# 创建文件夹（如已存在则不报错）
mkdir -p "$version"
echo "创建目录: $version"

# GitHub Release 基础地址（带 v）
base_url="https://github.com/KaringX/karing/releases/download/v$version"

# 所有文件名模板（带版本号）
files=(
  "karing_${version}_android_arm.apk"
  "karing_${version}_android_arm64-v8a.apk"
  "karing_${version}_android_armeabi-v7a.apk"
  "karing_${version}_windows_x64.exe"
  "karing_${version}_windows_x64.zip"
)

# 下载每个文件
for file in "${files[@]}"; do
  url="$base_url/$file"
  echo "正在下载 $file ..."
  curl -L "$url" -o "$version/$file"
done

echo "所有文件已下载到 $version 文件夹中。"


